midi-0.2.0.1: Handling of MIDI messages and files

Safe Haskell | None

Sound.MIDI.Message.System.Exclusive

Description

System Exclusive messages

Synopsis

- data T
  - = Commercial T ByteList
  - | NonCommercial ByteList
  - | NonRealTime NonRealTime
  - | RealTime RealTime
- get :: C parser => Fallible parser T
- getIncomplete :: C parser => Partial (Fallible parser) T
- put :: C writer => T -> writer

# Documentation

data T Source

Constructors

Commercial T ByteList |
NonCommercial ByteList |
NonRealTime NonRealTime | Deprecated: structure must be defined, yet
RealTime RealTime | Deprecated: structure must be defined, yet

get :: C parser => Fallible parser T Source

getIncomplete :: C parser => Partial (Fallible parser) T Source

put :: C writer => T -> writerSource

It is not checked whether SysEx messages contain only 7-bit values.